Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfGrandTotalType

    java.lang.Object
      java.lang.Enum<OdfGrandTotalType>
          org.odftoolkit.odfdom.dom.type.table.OdfGrandTotalType

All Implemented Interfaces:
  Serializable, Comparable<OdfGrandTotalType>

    public enum OdfGrandTotalType

extends Enum<OdfGrandTotalType>

DOM implementation of OpenDocument attribute table:grand-total.

Enum Constant Summary
`BOTH`
`COLUMN`
`NONE`
`ROW`

Method Summary
`static OdfGrandTotalType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfGrandTotalType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfGrandTotalType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfGrandTotalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROW

    public static final OdfGrandTotalType ROW

### NONE

    public static final OdfGrandTotalType NONE

### COLUMN

    public static final OdfGrandTotalType COLUMN

### BOTH

    public static final OdfGrandTotalType BOTH

Method Detail

### values

    public static OdfGrandTotalType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfGrandTotalType c : OdfGrandTotalType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfGrandTotalType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfGrandTotalType>`
  Returns:
    return the name of OdfGrandTotalType

### toString

    public static String toString(OdfGrandTotalType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfGrandTotalType, see table:grand-total
  Returns:
    return the name of OdfGrandTotalType

### enumValueOf

    public static OdfGrandTotalType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfGrandTotalType
  Returns:
    return the constant of OdfGrandTotalType, see table:grand-total

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.